Bug 146633 - STR sleep mode not working
STR sleep mode not working
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-31 01:54 EST by Brian Topping
Modified: 2015-01-04 17:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:10:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Topping 2005-01-31 01:54:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5)
Gecko/20041110 Firefox/1.0

Description of problem:
Howdy, I just upgraded from XP to FC3.  Nice work guys!

I'd like to see Suspend-to-RAM sleep mode enabled.  On XP, when I
would put the machine into sleep, it would turn off all the fans on
the unit, stop processing cycles, but still manage it's state.  When I
hit the hard power switch on the front of the case, it would bring up
the power supply, reinitialize the devices, and pick up where it left
off.  Havind made no changes to my BIOS settings, with Fedora, as best
I can tell, putting the machine to sleep just simply turns off the
monitor.  All the fans (which are quite noisy) are still running.

Is this difficult to fix?  I presume the drivers all have to be made
aware of this kind of transtion and reload their state, something the
linux driver structure may not be ready to handle.  

I wish I could just leave the machine on, but it's too noixy and i
have to sleep next to it.

Thanks!

Brian

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Put machine in sleep mode.

Actual Results:  fans are still running.
    

Expected Results:  fans stop running.

Additional info:

My system is an Asus K8V SE Deluxe, 1500MB RAM, Athlon64 3000 processor.
Comment 1 Dave Jones 2005-07-15 16:34:25 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 21:10:32 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.